Summary:	GLib wrapper for libgit2
Summary(ja):	libgit2 用 GLib ラッパー
Name:		libgit2-glib
Version:	0.22.2
Release:	1%{?_dist_release}
License:	LGPLv2.1
Group:		System Environment/Libraries 
URL:		https://wiki.gnome.org/Projects/Libgit2-glib

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.22/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel
BuildRequires: libgit2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%description -l ja
libgit2-glib は GIT アクセス用ライブラリ libgit2 用の glib ラッパーライブラリです。


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Header files and libraries for building a extension library for the %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q


%build
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_libdir}/%{name}-1.0.so.*
%{_libdir}/girepository-1.0/Ggit-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/Ggit-1.0.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}-1.0


%changelog
* Wed Apr 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.2-1
- initial build

